# maps.py

class Map:
    def __init__(self, width, height, map_data):
        self.width = width
        self.height = height
        self.map_data = map_data

#   void
# . ground
# w wall
# c crate
# o buttondoor
# d door
# k key

levels = (
    Map(11, 6, map_data="\
wwwwwwww   \
w.kwewsw   \
wc.w.w.w   \
w.cwow.wwww\
w......d.bw\
wwwwwwwwwww\
"),
    Map(12, 12, map_data="\
www www www \
wsw wbw wew \
w.w w.www.w \
w.w w.d.wow \
w.w www.w.w \
w.w   w.w.w \
w.wwwww.w.ww\
w......c...w\
wwwwcwwwwwww\
  wk.w      \
  wwkw      \
   www      \
"),

Map(13, 10, map_data="\
www       www\
wbw       wew\
wdw  www  wow\
wkw  wsw  wkw\
wdwwww.wwwwdw\
w...........w\
w.cc...cc.c.w\
w.kcccccc.c.w\
w.ck....c.c.w\
wwwwwwwwwwwww\
"),

Map(12, 11, map_data= "\
wwwwwwwwww  \
w.kccccckw  \
wcc.cc.ccw  \
w....c...w  \
w...wwww.w  \
w...o.ew.w  \
wwwwwwww.www\
   wsw w.dbw\
   w.www.www\
   w.....w  \
   wwwwwww  \
"),

Map(12, 9, map_data="\
www  www www\
wew  wsw wbw\
wowwww.w wdw\
w......w wdw\
w......wwwdw\
w.c........w\
wc.cccccc.cw\
wc.kkc..kccw\
wwwwwwwwwwww\
"),

Map(13, 11, map_data = "\
wwwwwwww  www\
w.ckkwsw  wew\
w.wwww.wwww.w\
wdwk.c.c..o.w\
wkw.c.c.c.www\
wdw.ccc.c.w  \
w...ck....w  \
wwwwwwwwwdw  \
        wdw  \
        wbw  \
        www  \
"),

# FINAL MAP!!
Map(12, 8, map_data = "\
  w      w  \
 wsw    wEw \
ww.wwwwwwoww\
w..c..c.c..w\
w.ccc.cc.c.w\
w.c.c.b...cw\
 wcc....c.w \
  wwwwwwww  \
")


)

